summaryrefslogtreecommitdiff
path: root/dev-python/jsonpatch
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/jsonpatch')
-rw-r--r--dev-python/jsonpatch/Manifest1
-rw-r--r--dev-python/jsonpatch/jsonpatch-1.34.ebuild51
2 files changed, 52 insertions, 0 deletions
diff --git a/dev-python/jsonpatch/Manifest b/dev-python/jsonpatch/Manifest
index ec6703058afd..ec18857c6f13 100644
--- a/dev-python/jsonpatch/Manifest
+++ b/dev-python/jsonpatch/Manifest
@@ -1 +1,2 @@
DIST python-json-patch-1.33.gh.tar.gz 28475 BLAKE2B 7d95ab23e09141cbe26618c91b12558d5fbfecda3e5b148d834753a364155d30859a9bdc3d321bdfcc5269f7e0170671524ae78f5fe65a8c97041bab3fb522b9 SHA512 0685f63949bee135b19d0962bdaab32ba97e02772b6650d885be57c09a2e89546222ebba1a4cf146b2f91027790b0a3ff2ea072d66dcebf9153aa601638bbfa2
+DIST python-json-patch-1.34.gh.tar.gz 39356 BLAKE2B 57342b6f47099bce4f2f2d28f6db7ceb8e5e399f20d0ebeb1577fde3e206569f42dd6f0822fcddfbd15922ff82397468fa8fb807e81f79a22c494bcc0d52ef09 SHA512 503f07689f96369e43a6d689bcbf5763445f5e7f93a2ee5c409f1abc17d57ec06165e1458a31903bc67d740fd02ea135d95454b81bde22b895492438949abc89
diff --git a/dev-python/jsonpatch/jsonpatch-1.34.ebuild b/dev-python/jsonpatch/jsonpatch-1.34.ebuild
new file mode 100644
index 000000000000..33a544ab47f4
--- /dev/null
+++ b/dev-python/jsonpatch/jsonpatch-1.34.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+MY_P=python-json-patch-${PV}
+DESCRIPTION="Apply JSON-Patches like http://tools.ietf.org/html/draft-pbryan-json-patch-04"
+HOMEPAGE="
+ https://github.com/stefankoegl/python-json-patch/
+ https://pypi.org/project/jsonpatch/
+"
+SRC_URI="
+ https://github.com/stefankoegl/python-json-patch/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/jsonpointer-1.9[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ )
+"
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # https://github.com/stefankoegl/python-json-patch/pull/159
+ sed -e 's/unittest.makeSuite/unittest.defaultTestLoader.loadTestsFromTestCase/' \
+ -i ext_tests.py tests.py
+}
+
+python_test() {
+ "${EPYTHON}" tests.py || die "Tests of tests.py fail with ${EPYTHON}"
+ "${EPYTHON}" ext_tests.py || die "Tests of ext_tests.py fail with ${EPYTHON}"
+ "${EPYTHON}" property_tests.py || die "Tests of property_tests.py fail with ${EPYTHON}"
+}